"use strict";

function _typeof(obj) { "@babel/helpers - typeof"; if (typeof Symbol === "function" && typeof Symbol.iterator === "symbol") { _typeof = function _typeof(obj) { return typeof obj; }; } else { _typeof = function _typeof(obj) { return obj && typeof Symbol === "function" && obj.constructor === Symbol && obj !== Symbol.prototype ? "symbol" : typeof obj; }; } return _typeof(obj); }

Object.defineProperty(exports, "__esModule", {
  value: true
});
exports["default"] = void 0;

var _react = _interopRequireWildcard(require("react"));

var _cUrl = _interopRequireDefault(require("../c-url"));

var _beeSwitch = _interopRequireDefault(require("bee-switch"));

var _lang = _interopRequireDefault(require("../lang"));

function _interopRequireDefault(obj) { return obj && obj.__esModule ? obj : { "default": obj }; }

function _getRequireWildcardCache() { if (typeof WeakMap !== "function") return null; var cache = new WeakMap(); _getRequireWildcardCache = function _getRequireWildcardCache() { return cache; }; return cache; }

function _interopRequireWildcard(obj) { if (obj && obj.__esModule) { return obj; } if (obj === null || _typeof(obj) !== "object" && typeof obj !== "function") { return { "default": obj }; } var cache = _getRequireWildcardCache(); if (cache && cache.has(obj)) { return cache.get(obj); } var newObj = {}; var hasPropertyDescriptor = Object.defineProperty && Object.getOwnPropertyDescriptor; for (var key in obj) { if (Object.prototype.hasOwnProperty.call(obj, key)) { var desc = hasPropertyDescriptor ? Object.getOwnPropertyDescriptor(obj, key) : null; if (desc && (desc.get || desc.set)) { Object.defineProperty(newObj, key, desc); } else { newObj[key] = obj[key]; } } } newObj["default"] = obj; if (cache) { cache.set(obj, newObj); } return newObj; }

function _extends() { _extends = Object.assign || function (target) { for (var i = 1; i < arguments.length; i++) { var source = arguments[i]; for (var key in source) { if (Object.prototype.hasOwnProperty.call(source, key)) { target[key] = source[key]; } } } return target; }; return _extends.apply(this, arguments); }

function _objectWithoutProperties(source, excluded) { if (source == null) return {}; var target = _objectWithoutPropertiesLoose(source, excluded); var key, i; if (Object.getOwnPropertySymbols) { var sourceSymbolKeys = Object.getOwnPropertySymbols(source); for (i = 0; i < sourceSymbolKeys.length; i++) { key = sourceSymbolKeys[i]; if (excluded.indexOf(key) >= 0) continue; if (!Object.prototype.propertyIsEnumerable.call(source, key)) continue; target[key] = source[key]; } } return target; }

function _objectWithoutPropertiesLoose(source, excluded) { if (source == null) return {}; var target = {}; var sourceKeys = Object.keys(source); var key, i; for (i = 0; i < sourceKeys.length; i++) { key = sourceKeys[i]; if (excluded.indexOf(key) >= 0) continue; target[key] = source[key]; } return target; }

function _classCallCheck(instance, Constructor) { if (!(instance instanceof Constructor)) { throw new TypeError("Cannot call a class as a function"); } }

function _defineProperties(target, props) { for (var i = 0; i < props.length; i++) { var descriptor = props[i]; descriptor.enumerable = descriptor.enumerable || false; descriptor.configurable = true; if ("value" in descriptor) descriptor.writable = true; Object.defineProperty(target, descriptor.key, descriptor); } }

function _createClass(Constructor, protoProps, staticProps) { if (protoProps) _defineProperties(Constructor.prototype, protoProps); if (staticProps) _defineProperties(Constructor, staticProps); return Constructor; }

function _inherits(subClass, superClass) { if (typeof superClass !== "function" && superClass !== null) { throw new TypeError("Super expression must either be null or a function"); } subClass.prototype = Object.create(superClass && superClass.prototype, { constructor: { value: subClass, writable: true, configurable: true } }); if (superClass) _setPrototypeOf(subClass, superClass); }

function _setPrototypeOf(o, p) { _setPrototypeOf = Object.setPrototypeOf || function _setPrototypeOf(o, p) { o.__proto__ = p; return o; }; return _setPrototypeOf(o, p); }

function _createSuper(Derived) { var hasNativeReflectConstruct = _isNativeReflectConstruct(); return function _createSuperInternal() { var Super = _getPrototypeOf(Derived), result; if (hasNativeReflectConstruct) { var NewTarget = _getPrototypeOf(this).constructor; result = Reflect.construct(Super, arguments, NewTarget); } else { result = Super.apply(this, arguments); } return _possibleConstructorReturn(this, result); }; }

function _possibleConstructorReturn(self, call) { if (call && (_typeof(call) === "object" || typeof call === "function")) { return call; } return _assertThisInitialized(self); }

function _assertThisInitialized(self) { if (self === void 0) { throw new ReferenceError("this hasn't been initialised - super() hasn't been called"); } return self; }

function _isNativeReflectConstruct() { if (typeof Reflect === "undefined" || !Reflect.construct) return false; if (Reflect.construct.sham) return false; if (typeof Proxy === "function") return true; try { Date.prototype.toString.call(Reflect.construct(Date, [], function () {})); return true; } catch (e) { return false; } }

function _getPrototypeOf(o) { _getPrototypeOf = Object.setPrototypeOf ? Object.getPrototypeOf : function _getPrototypeOf(o) { return o.__proto__ || Object.getPrototypeOf(o); }; return _getPrototypeOf(o); }

function _defineProperty(obj, key, value) { if (key in obj) { Object.defineProperty(obj, key, { value: value, enumerable: true, configurable: true, writable: true }); } else { obj[key] = value; } return obj; }

var sizeAnt2tinper = {
  small: 'sm',
  "default": '',
  '': ''
};

var SwitchAdapter = /*#__PURE__*/function (_Component) {
  _inherits(SwitchAdapter, _Component);

  var _super = _createSuper(SwitchAdapter);

  function SwitchAdapter() {
    var _this;

    _classCallCheck(this, SwitchAdapter);

    for (var _len = arguments.length, args = new Array(_len), _key = 0; _key < _len; _key++) {
      args[_key] = arguments[_key];
    }

    _this = _super.call.apply(_super, [this].concat(args));

    _defineProperty(_assertThisInitialized(_this), "getLanguage", function () {
      var _window$cb, _window$cb$lang, _window$cb2, _window$cb2$rest$AppC, _global, _global3;

      var lang = 'zh_CN';
      var global = (_window$cb = window.cb) === null || _window$cb === void 0 ? void 0 : (_window$cb$lang = _window$cb.lang) === null || _window$cb$lang === void 0 ? void 0 : _window$cb$lang.lang;
      if (global) return global;
      global = ((_window$cb2 = window.cb) === null || _window$cb2 === void 0 ? void 0 : (_window$cb2$rest$AppC = _window$cb2.rest.AppContext) === null || _window$cb2$rest$AppC === void 0 ? void 0 : _window$cb2$rest$AppC.globalization) || null;

      if ((_global = global) !== null && _global !== void 0 && _global.locale) {
        var _global2;

        return (_global2 = global) === null || _global2 === void 0 ? void 0 : _global2.locale;
      }

      if (window && _cUrl["default"].query('locale')) {
        // url 配置页面语言
        lang = _cUrl["default"].query('locale');
      } else if (_this.getCookie('locale')) {
        lang = _this.getCookie('locale');
      } else if ((_global3 = global) !== null && _global3 !== void 0 && _global3.locale) {
        lang = global.locale;
      } else {// 系统浏览器语言
      }

      if (!lang) console.error('Please add the _lang parameter to the browser !');
      return lang;
    });

    _defineProperty(_assertThisInitialized(_this), "getCookie", function (name) {
      var reg = new RegExp('(^| )' + name + '=([^;]*)(;|$)');
      var arr = document && document.cookie.match(reg);

      if (arr) {
        return unescape(arr[2]);
      } else {
        return null;
      }
    });

    _defineProperty(_assertThisInitialized(_this), "getLocale", function (key) {
      var lang = _this.getLanguage() || 'zh_CN';
      return _lang["default"][lang][key];
    });

    _defineProperty(_assertThisInitialized(_this), "switchChildren", function (checked) {
      if (process.env.__THEMETYPE__ !== 'ncc') return;

      if (checked) {
        return _this.getLocale('YS_FED_FW_YONUI_00050004');
        /* "√" */
      } else {
        return 'X';
      }
    });

    return _this;
  }

  _createClass(SwitchAdapter, [{
    key: "render",
    value: function render() {
      var _this$props = this.props,
          size = _this$props.size,
          other = _objectWithoutProperties(_this$props, ["size"]);

      return /*#__PURE__*/_react["default"].createElement(_beeSwitch["default"], _extends({}, other, {
        size: sizeAnt2tinper[size],
        checkedChildren: this.switchChildren(true),
        unCheckedChildren: this.switchChildren(false)
      }));
    }
  }]);

  return SwitchAdapter;
}(_react.Component);

var _default = SwitchAdapter;
exports["default"] = _default;
//# sourceMappingURL=Switch.js.map
